<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="16dp"
    android:layout_marginRight="16dp"
    android:background="#E9F3FF">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="8dp"
        android:background="@drawable/background_shape_white_radius_5">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/taskIcon"
            style="@style/frescoStyle"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_marginLeft="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/taskName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_title"
            android:textSize="14sp"
            app:layout_constraintBottom_toTopOf="@+id/progress"
            app:layout_constraintLeft_toRightOf="@+id/taskIcon"
            app:layout_constraintTop_toTopOf="@+id/taskIcon"
            tools:text="点赞视频" />

        <ImageView
            android:id="@+id/taskNotice"
            android:layout_width="28dp"
            android:layout_height="36dp"
            android:layout_toRightOf="@+id/taskName"
            android:paddingLeft="4dp"
            android:paddingTop="12dp"
            android:paddingRight="12dp"
            android:paddingBottom="12dp"
            android:src="@drawable/ic_energy_center_notice"
            app:layout_constraintBottom_toBottomOf="@+id/taskName"
            app:layout_constraintLeft_toRightOf="@+id/taskName"
            app:layout_constraintTop_toTopOf="@+id/taskName" />

        <TextView
            android:id="@+id/progress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_subtitle"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@+id/taskIcon"
            app:layout_constraintLeft_toRightOf="@+id/taskIcon"
            app:layout_constraintTop_toBottomOf="@+id/taskName"
            tools:text="0/10" />

        <TextView
            android:id="@+id/taskBtn"
            android:layout_width="60dp"
            android:layout_height="26dp"
            android:layout_marginRight="12dp"
            android:background="@drawable/bg_energy_task_btn_normal"
            android:gravity="center"
            android:textColor="@color/text_white"
            android:textSize="12sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="+5光能" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>